<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 4</a>

    <script>

        const numeroFalt = (a, n) => {
       
            let x1 = a[0];
            let x2 = 1;

            for (var i = 1; i < n; i++) {
                x1 = x1 ^ a[i];
            }
            for (var i = 2; i <= n + 1; i++) {
                x2 = x2 ^ i;
            }
 
            return x1 ^ x2;
        }
 
        let a = [1, 2, 4, 5, 6];
        let n = a.length;
        let perdido = numeroFalt(a, n);
        console.log(`El numero que falta en la matriz A es: ${perdido}`);

</script>
    
</body>
</html>